package com.plannaplan.services;

import com.plannaplan.abstracts.EventWatcher;
import com.plannaplan.entities.Assignment;
import com.plannaplan.repositories.AssignmentRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AssignmentService extends EventWatcher {
    @Autowired
    private AssignmentRepository repo;

    public AssignmentService() {
        super();
    }

    public void save(Assignment assignment) {
        this.repo.save(assignment);
    }
}